
Foreman - Bug #3156

Foreman allows underscores in hostnames

09/27/2013 08:21 AM - Petter Hassberg

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If I enter a hostname with an underscore in it while creating a new host,

eg  "ore1-func_2", then foreman won't complain although the smart-proxy won't be able to update the dns record.

Related issues:

Is duplicate of Foreman - Bug #3697: Field Validations Should be more Compreh... Closed 11/20/2013

History

#1 - 09/27/2013 08:22 AM - Petter Hassberg

reproduced in foreman-1.2.1-1.el6.noarch

#2 - 09/27/2013 08:31 AM - Dominic Cleal

- Category set to Host creation

We'll have to be careful implementing this, as underscores are valid in domains.  Perhaps we can prohibit it in the hostname and permit it only in the

domain portion.

#3 - 09/27/2013 10:08 AM - Greg Sutcliffe

If you go down that road, watch out for unmanaged Hosts, we specify the FQDN in the name field there...

#4 - 09/27/2013 10:44 AM - Ewoud Kohl van Wijngaarden

Since those host names are not allowed by the DNS RFC, it should be discouraged. (In practice it may or may not work since most software does

accept it.) From http://domainkeys.sourceforge.net/underscore.html: Host names are not allowed to have underscores in them. In DNS, host names

are the name fields of A or MX records or the data fields of the SOA and NS records. Thus, there are many DNS entries that are not hostnames.

#5 - 06/06/2014 05:24 PM - Dominic Cleal

- Is duplicate of Bug #3697: Field Validations Should be more Comprehensive added

#6 - 06/06/2014 05:25 PM - Dominic Cleal

- Status changed from New to Duplicate

Shipped in 1.4 via #3697.
